com.amazon.redshift.core

## Class Notification

- java.lang.Object
- - com.amazon.redshift.core.Notification

All Implemented Interfaces:
  RedshiftNotification

    public class Notification
    extends Object
    implements RedshiftNotification

### Constructor Summary

Constructors
Constructor and Description
`Notification(String name, int pid)`
`Notification(String name, int pid, String parameter)`

### Method Summary

Methods
`String` `getName()` Returns name of this notification.
`String` `getParameter()` Returns additional information from the notifying process.
`int` `getPID()` Returns the process id of the backend process making this notification.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Notification

    public Notification(String name,
                int pid)

#### Notification

    public Notification(String name,
                int pid,
                String parameter)

### Method Detail

#### getName

    public String getName()

Description copied from interface: `RedshiftNotification`
Returns name of this notification.

Specified by:
  `getName` in interface `RedshiftNotification`
Returns:
  name of this notification

#### getPID

    public int getPID()

Description copied from interface: `RedshiftNotification`
Returns the process id of the backend process making this notification.

Specified by:
  `getPID` in interface `RedshiftNotification`
Returns:
  process id of the backend process making this notification

#### getParameter

    public String getParameter()

Description copied from interface: `RedshiftNotification`
Returns additional information from the notifying process. This feature has only been implemented in server versions 9.0 and later, so previous versions will always return an empty String.

Specified by:
  `getParameter` in interface `RedshiftNotification`
Returns:
  additional information from the notifying process